internal::pick_tuple_max< N, Tuple, Selector > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::pick_tuple_max< N, Tuple, Selector >:

## Public Types

typedef pick_tuple_max< N-1, Tuple, Selector >::type | LeftMaxType
typedef tbb::flow::tuple_element< N-1, Tuple >::type | ThisType
typedef pick_max< Selector, LeftMaxType, ThisType >::type | type

## Detailed Description

### template<size_t N, class Tuple, template< class > class Selector>
struct internal::pick_tuple_max< N, Tuple, Selector >

Definition at line 558 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## LeftMaxType

template<size_t N, class Tuple , template< class > class Selector>

typedef pick_tuple_max<N-1, Tuple, Selector>::type internal::pick_tuple_max< N, Tuple, Selector >::LeftMaxType

Definition at line 559 of file _flow_graph_types_impl.h.

## ThisType

template<size_t N, class Tuple , template< class > class Selector>

typedef tbb::flow::tuple_element<N-1, Tuple>::type internal::pick_tuple_max< N, Tuple, Selector >::ThisType

Definition at line 560 of file _flow_graph_types_impl.h.

## type

template<size_t N, class Tuple , template< class > class Selector>

typedef pick_max<Selector, LeftMaxType, ThisType>::type internal::pick_tuple_max< N, Tuple, Selector >::type

Definition at line 561 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.